org.codehaus.plexus.component.configurator.converters.lookup

## Interface ConverterLookup

All Known Implementing Classes:
  DefaultConverterLookup

    public interface ConverterLookup

Version:
  $Id: ConverterLookup.java 1632 2005-03-31 23:39:53Z trygvis $

### Method Summary

Methods
`ConfigurationConverter` `lookupConverterForType(Class type)`
`void` `registerConverter(ConfigurationConverter converter)`

### Method Detail

#### registerConverter

    void registerConverter(ConfigurationConverter converter)

#### lookupConverterForType

    ConfigurationConverter lookupConverterForType(Class type)
                                                  throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`